Get eSIM checkout options
GET
/v1/esim/offers/{offer_id}/checkoutbird esim offers checkout-options <offer-id>curl -X GET "https://us1.platform.bird.com/v1/esim/offers/{offer_id}/checkout" \
-H "Authorization: Bearer $TOKEN"Respons200
{
"offer_id": "eof_01krdgeqcxet5s7t44vh8rt9mg",
"one_time": {
"price": {
"amount": "0.00995",
"currency_code": "USD"
}
},
"recurrence": {
"available": true,
"quote": {
"delivery_mode": "exact_period",
"price": {
"amount": "0.00995",
"currency_code": "USD"
},
"model": "calendar_month"
}
}
}
Returns published one-time terms and automatic renewal availability for a new eSIM. Automatic renewal includes its own price and cadence when an eligible mobile network is available. Availability is checked again when purchasing; this read does not reserve a package.
Parameter
offer_idstringThe offer.
Payload Respons
offer_idstring
wajib
one_timeobject
wajib
Published one-time purchase terms before tax.
Tampilkan atribut turunan
one_time.offer_revisioninteger
wajib
The offer revision to accept when purchasing.
one_time.priceobject
wajib
Tampilkan atribut turunan
one_time.price.amountstring
wajib
Decimal amount as a string, in major currency units.
one_time.price.currency_codestring
wajib
ISO 4217 currency code.
recurrenceobject
wajib
When available is true, quote contains the recurring terms and unavailable_reason is null. Otherwise quote is null and unavailable_reason explains why renewal is unavailable.
Sumber daya terkait
Lanjutkan dengan dokumentasi, panduan, dan contoh untuk topik ini.